#
# spec file for package rubygem-erubis
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           rubygem-erubis
Version:        2.7.0
Release:        bp153.1.16
%define mod_name erubis
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  update-alternatives
Url:            http://www.kuwata-lab.com/erubis/
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Summary:        a fast and extensible eRuby implementation which supports
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Erubis is an implementation of eRuby and has the following features:
* Very fast, almost three times faster than ERB and about 10% faster than
eruby.
* Multi-language support (Ruby/PHP/C/Java/Scheme/Perl/Javascript)
* Auto escaping support
* Auto trimming spaces around '<% %>'
* Embedded pattern changeable (default '<% %>')
* Enable to handle Processing Instructions (PI) as embedded pattern (ex. '<?rb
... ?>')
* Context object available and easy to combine eRuby template with YAML
datafile
* Print statement available
* Easy to extend and customize in subclass
* Ruby on Rails support.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="README.txt CHANGES.txt MIT-LICENSE" \
  -f

%gem_packages

%changelog
* Tue Sep 30 2014 mrueckert@suse.de
- update to new packaging scheme
* Fri Jan  4 2013 coolo@suse.com
- remove version suffix
* Thu Aug  2 2012 cfarrell@suse.com
- license update: MIT
  See the license in the data/ directory
* Tue Jul 31 2012 jreidinger@suse.com
- use new gem2rpm to provide new provisions
* Thu Feb 23 2012 saschpe@suse.de
- Ran spec-cleaner
* Wed Dec 14 2011 jreidinger@suse.com
- move another documentation to doc subpackage to save space at
  runtime
* Mon Jun 20 2011 mrueckert@suse.de
- initial package for the 2.7 branch (2.7.0)
